Amazon Linux 2022 : (ALAS2022-2022-194)

high Nessus プラグイン ID 167001

概要

リモートの Amazon Linux 2022 ホストに、セキュリティ更新プログラムがありません。

説明

したがって、ALAS2022-2022-194 のアドバイザリに記載されている複数の脆弱性の影響を受けます。

- libtiff 4.4.0 の tiffcrop のゼロ除数のエラーにより、攻撃者が、細工された tiff ファイルを介してサービス拒否を引き起こすことが可能です。ソースから libtiff をコンパイルするユーザーの場合、修正はコミット f3a5e010 で利用可能です。
(CVE-2022-2056、CVE-2022-2057、CVE-2022-2058)

- Tiffsplit v4.4.0 の _TIFFVGetField 関数でスタックオーバーフローが発見されました。この脆弱性により、攻撃者が細工された TIFF ファイルを介してサービス拒否 (DoS) を引き起こす可能性があります。(CVE-2022-34526)

Nessus はこれらの問題をテストしておらず、代わりにアプリケーションの自己報告されたバージョン番号にのみ依存しています。

ソリューション

「dnf update libtiff --releasever=2022.0.20221102」を実行してシステムを更新してください。

関連情報

https://alas.aws.amazon.com/AL2022/ALAS-2022-194.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2056.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2057.html

https://alas.aws.amazon.com/cve/html/CVE-2022-2058.html

https://alas.aws.amazon.com/cve/html/CVE-2022-34526.html

プラグインの詳細

深刻度: High

ID: 167001

ファイル名: al2022_ALAS2022-2022-194.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2022/11/4

更新日: 2022/12/7

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Nessus Agent

リスク情報

VPR

リスクファクター: Medium

スコア: 5

CVSS v2

リスクファクター: Medium

Base Score: 5.8

Temporal Score: 4.3

ベクトル: AV:N/AC:M/Au:N/C:P/I:N/A:P

現状ベクトル: E:U/RL:OF/RC:C

CVSS スコアのソース: CVE-2022-0891

CVSS v3

リスクファクター: High

Base Score: 8.8

Temporal Score: 7.7

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

現状ベクトル: E:U/RL:O/RC:C

CVSS スコアのソース: CVE-2022-2869

脆弱性情報

CPE: p-cpe:/a:amazon:linux:libtiff, p-cpe:/a:amazon:linux:libtiff-debuginfo, p-cpe:/a:amazon:linux:libtiff-debugsource, p-cpe:/a:amazon:linux:libtiff-devel, p-cpe:/a:amazon:linux:libtiff-static, p-cpe:/a:amazon:linux:libtiff-tools, p-cpe:/a:amazon:linux:libtiff-tools-debuginfo, cpe:/o:amazon:linux:2022

必要な KB アイテム: Host/local_checks_enabled, Host/AmazonLinux/release, Host/AmazonLinux/rpm-list

エクスプロイトの容易さ: No known exploits are available

パッチ公開日: 2022/11/1

脆弱性公開日: 2022/6/30

参照情報

CVE: CVE-2022-0561, CVE-2022-0562, CVE-2022-0865, CVE-2022-0891, CVE-2022-0907, CVE-2022-0908, CVE-2022-0909, CVE-2022-0924, CVE-2022-1056, CVE-2022-1354, CVE-2022-1355, CVE-2022-1622, CVE-2022-1623, CVE-2022-2056, CVE-2022-2057, CVE-2022-2058, CVE-2022-2869, CVE-2022-22844, CVE-2022-34526